//OneWire Bibliothek für den BMP180 Sensor
#include <Wire.h>
//Bibliothek zur Kommunikation mit dem BMP180 Sensor
#include <BMP180.h>

//Die Instanzvariable eines BMP180 Sensors.
BMP180 barometer;

void initBMP180() {
  Wire.begin(); //Adafruit Wire Bibliothek für die I2C Kommunikation mit dem BMP180 Sensor.
  barometer = BMP180(); //setzen einer Instanz des BMP180 Sensors.
  //Prüfen ob ein BMP180 Sensor gefunden wurde.
  if (!barometer.EnsureConnected()) {
    Serial.println("Es wurde kein BMP180 Sensor gefunden.");
  }
}

long getBMP180Value() {
  long currentPressure = barometer.GetPressure();
  if (isDebug) {
    Serial.println("Luftdruck: " + String(currentPressure / 100, DEC) + " hPa");
  }
  return currentPressure;
}
