//Bibliothek zur Kommunikation mit dem DHT11 Sensor
#include "DHT.h"

//DHT11 Sensor am digitalen Pin D6 angeschlossen
#define DHTPIN 12
//Festlegen welcher Typ von DHT Sensor verwendet wird.
#define DHTTYPE DHT11
//Initialisieren des Sensors mit dem Anschluss und dem Typ
DHT dht(DHTPIN, DHTTYPE);

void initDHTSensor() {
  pinMode(DHTPIN, INPUT);
  //DHT Kommunikation beginnen.
  dht.begin();
}

double getDHTSensor_Humidity() {
  double hum =  dht.readHumidity();
  if (isDebug) {
    Serial.println("Luftfeuchtigkeit: " + String(hum, DEC) + " %");
  }
  return hum;
}

double getDHTSensor_Temperature_Celsius() {
  double celsius = dht.readTemperature();
  if (isDebug) {
    Serial.println("Temperatur: " + String(celsius, DEC) + " °C");
  }
  return celsius;
}

double getDHTSensor_Temperature_Fahrenheit() {
  double fahrenheit = dht.readTemperature(true);
  if (isDebug) {
    Serial.println("Temperatur: " + String(fahrenheit, DEC) + " °F");
  }
  return fahrenheit;
}
