//UV Sensor am analogen Pin A0 angeschlossen
#define UV_SENSOR A0

const float inMin = 0.99;
const float inMax = 2.9;
const float outMin = 0.0;
const float outMax = 15.0;

const byte numberOfReadings = 8;

//Funktion zum lesen des Durchschnittswertes eines Sensors am analogen Pin
int averageAnalogRead(int pinToRead) {
  unsigned int runningValue = 0;
  for (int x = 0 ; x < numberOfReadings ; x++) {
    runningValue += analogRead(pinToRead);
  }
  return (runningValue / numberOfReadings);
}


//Arduino map Funktion unterstützt kein Float daher wurde diese neu implementiert
//(eine Kopie aus dem Arduino Forum)
float mapfloat(float x, float in_min, float in_max, float out_min, float out_max) {
  return (x - in_min) * (out_max - out_min) / (in_max - in_min) + out_min;
}

void initUvSensor() {
  pinMode(UV_SENSOR, INPUT);
}

int getUVSensorValue() {
  int uvLevel = averageAnalogRead(UV_SENSOR);

  float outputVoltage = 3.3 * uvLevel / 1024;
  float uvIntensity = mapfloat(outputVoltage, inMin, inMax, outMin, outMax);

  Serial.print("UV Intensität: ");
  Serial.print(uvIntensity);
  Serial.println(" mW/cm²");

  Serial.println();
  return uvIntensity;
}
