#include "config.h"
#include "dht11.h"
#include "bmp180.h"
#include "uvSensor.h"
#include "wifi.h"

void setup() {
  //beginn der seriellen Kommunikation mit 9600 Baud
  Serial.begin(9600);
  
  initWifiModul();
  initBMP180();
  initDHTSensor();
  initUvSensor();
}

void loop() {
  delay(2000);

  long barometicPressure = getBMP180Value();
  double airHumidity = getDHTSensor_Humidity();
  double tempCelsius = getDHTSensor_Temperature_Celsius();
  double tempFahrenheit = getDHTSensor_Temperature_Fahrenheit();
  int uvIntensity = getUVSensorValue();

  //Prüfen ob die Werte erfolgreich gelesen wurden und der BMP180 Sensor verfügbar ist.
  if (isnan(airHumidity)
      || isnan(tempCelsius)
      || isnan(tempFahrenheit)
      || isnan(barometicPressure)
      || isnan(uvIntensity)) {
    Serial.println("Fehler beim lesen von Daten.");
    return;
  }
}
